TICKIT_RENDERBUFFER_REF(3)

NAME
tickit_renderbuffer_ref, tickit_renderbuffer_unref - adjust the refcount of a render buffer

SYNOPSIS
    #include <tickit.h>

    TickitRenderBuffer *tickit_renderbuffer_ref(TickitRenderBuffer *rb);
    void tickit_renderbuffer_unref(TickitRenderBuffer *rb);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_ref() increments the stored refcount of the given render buffer instance by one. It returns the pointer argument itself, so it is useful for chaining.

tickit_renderbuffer_unref() decrements the stored refcount of the given render buffer instance by one. If the refcount drops to zero, the instance is destroyed. This will release any resources controlled by it.

RETURN VALUE
tickit_renderbuffer_ref() returns a render buffer instance pointer. tickit_renderbuffer_unref() returns no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer(7), tickit(7)